<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output encoding="UTF-8"/>
  <!--Select all nodes-->
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/island[1]/@name">
    <xsl:attribute name="name">Puggsoy's Island</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/@map">
    <xsl:attribute name="map">pugIsland</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@id">
    <xsl:attribute name="id">Climb</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@depends"/>
  <xsl:template match="/island[1]/level[1]/@name">
    <xsl:attribute name="name">LEVEL_NAME_CLIMB</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_CLIMB</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@ocd">
    <xsl:attribute name="ocd">balls,10</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@id">
    <xsl:attribute name="id">Hang</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@depends">
    <xsl:attribute name="depends">Climb</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@name">
    <xsl:attribute name="name">LEVEL_NAME_HANG</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_HANG</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@ocd">
    <xsl:attribute name="ocd">balls,5</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@id">
    <xsl:attribute name="id">Drop</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@depends">
    <xsl:attribute name="depends">Hang</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@name">
    <xsl:attribute name="name">LEVEL_NAME_DROP</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_DROP</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@ocd"/>
  <xsl:template match="/island[1]/text()[4]"/>
  <xsl:template match="/island[1]/level[4]"/>
  <xsl:template match="/island[1]/text()[5]"/>
  <xsl:template match="/island[1]/level[5]"/>
  <xsl:template match="/island[1]/text()[6]"/>
  <xsl:template match="/island[1]/level[6]"/>
  <xsl:template match="/island[1]/text()[7]"/>
  <xsl:template match="/island[1]/level[7]"/>
  <xsl:template match="/island[1]/text()[8]"/>
  <xsl:template match="/island[1]/level[8]"/>
  <xsl:template match="/island[1]/text()[9]"/>
  <xsl:template match="/island[1]/level[9]"/>
  <xsl:template match="/island[1]/text()[10]"/>
  <xsl:template match="/island[1]/level[10]"/>
  <xsl:template match="/island[1]/text()[11]"/>
  <xsl:template match="/island[1]/level[11]"/>
</xsl:stylesheet>
